#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python-sortedcontainers
Version		:	2.4.0
Release		:	14.8.0.0%{?dist}
Summary		:	Pure Python sorted container types
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0
URL		:	https://pypi.org/project/sortedcontainers

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

%if %{with test}
BuildRequires:  python3-iniconfig
BuildRequires:  python3-iniconfig
BuildRequires:  python3-pluggy
BuildRequires:  python3-pytest
#BuildRequires:  python%{python3_pkgversion}-matplotlib
BuildRequires:  python3-numpy
#BuildRequires:  python%{python3_pkgversion}-scipy
%endif

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
SortedContainers is an Apache2 licensed sorted collections library,
written in pure-Python, and fast as C-extensions.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q
# Don't use tox
sed -i							\
  -e  '/tests_require/d'				\
  setup.py

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
echo Test are not completed, missing module
pushd tests
PYTHONPATH="%{buildroot}%{python3_sitelib}"		\
    pytest						\
	-v						\

%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
